<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
if(!defined('REHUB_NAME_ACTIVE_THEME')){
	define('REHUB_NAME_ACTIVE_THEME', 'REPICK');
}
if ( defined( 'RH_GRANDCHILD_DIR' ) ) {
	include( RH_GRANDCHILD_DIR . 'rh-grandchild-func.php' );
}

add_action( 'wp_enqueue_scripts', 'enqueue_parent_theme_style',11 );
function enqueue_parent_theme_style() {
	if ( !defined( 'RH_MAIN_THEME_VERSION' ) ) {
		define('RH_MAIN_THEME_VERSION', '9.4.4');
	}	
    wp_enqueue_style( 'parent-style', get_template_directory_uri().'/style.css', array(), RH_MAIN_THEME_VERSION );
	if (is_rtl()) {
		 wp_enqueue_style( 'parent-rtl', get_template_directory_uri().'/rtl.css', array(), RH_MAIN_THEME_VERSION);
	}    
}

function repick_after_setup() {
    add_theme_support( 'woocommerce', array(
		'thumbnail_image_width' => 384,
	));
	load_child_theme_textdomain('rehubchild', get_stylesheet_directory() . '/lang');
}
add_action( 'after_setup_theme', 'repick_after_setup', 11 );

// Add specific CSS class by filter
add_filter('body_class','style_body_repick');
function style_body_repick($classes) {
if (rehub_option('repick_white') !='1') $classes[] = 'dark_body';	
	// return the $classes array
	return $classes;
}

if( !function_exists('rehub_top_offers_widget_block_post') ) {
function rehub_top_offers_widget_block_post($tags = '', $number = '5', $order = '', $random = '', $orderby='', $notexpired = '') { ?>

	<?php $args = array (
			'showposts' => $number,
			'tag' => $tags,
			'ignore_sticky_posts' => '1'
		);
		if (!empty ($random)) {
			$args ['orderby'] = 'rand';
		}		
		if (!empty ($order)) {
			$args ['meta_key'] = $order;
			$args ['orderby'] = 'meta_value_num';
		}
		if (!empty ($orderby)) {
			$args ['order'] = $orderby;
		}	
		if($notexpired){
			$args['meta_query'][] = array(
            	'key'     => 're_post_expired',
            	'value'   => '1',
            	'compare' => '!=',
        	);	
		}	

	$offers = new WP_Query($args);
	if($offers->have_posts()): ?>
	
	<div class="tabs-item">
		<?php  while ($offers->have_posts()) : $offers->the_post(); ?>
		
			<div class="clearfix">
	            <figure><a href="<?php the_permalink();?>"><?php WPSM_image_resizer::show_static_resized_image(array('thumb'=> true, 'crop'=> false, 'width'=> 100, 'no_thumb_url' => get_template_directory_uri() . '/images/default/noimage_123_90.png'));?></a></figure>
	            <div class="detail">
		            <h5 class="mt0"><?php if(rehub_option('hotmeter_disable') !='1') :?><?php echo getHotLikeTitle(get_the_ID()); ?><?php endif ;?><a href="<?php the_permalink();?>"><?php the_title();?></a></h5>
	            	<div class="post-meta">
	              		<?php $category = get_the_category(get_the_ID()); $first_cat = $category[0]->term_id;?>
	                	<?php meta_small( false, $first_cat, true, false );  ?>
	                </div>
	                <?php rehub_format_score('small') ?>

	            </div>
            </div>
		
		<?php endwhile; ?>
		<?php wp_reset_query(); ?>
		<?php endif; ?>
	</div>

<?php
}
}

if( !function_exists('rehub_most_popular_widget_block') ) {
function rehub_most_popular_widget_block($basedby = 'hot', $sortby = '', $number = 5) { ?>

	<?php 
	if($sortby == 'this_week') {
	if( !function_exists('filter_where_week') ) {
		function filter_where_week($where = '') {
			//posts in the last 7 days
			$where .= " AND post_date > '" . date('Y-m-d', strtotime('-7 days')) . "'";
			return $where;
		}
	}
	add_filter('posts_where', 'filter_where_week');
	} elseif($sortby == 'this_month') {
	if( !function_exists('filter_where_month') ) {
		function filter_where_month($where = '') {
			//posts in the last 30 days
			$where .= " AND post_date > '" . date('Y-m-d', strtotime('-30 days')) . "'";
			return $where;
		}
	}
	add_filter('posts_where', 'filter_where_month');
	} elseif($sortby == 'three_month') {
	if( !function_exists('filter_where_t_month') ) {
		function filter_where_t_month($where = '') {
			//posts in the last 30 days
			$where .= " AND post_date > '" . date('Y-m-d', strtotime('-90 days')) . "'";
			return $where;
		}
	}
	add_filter('posts_where', 'filter_where_t_month');
	}
	else {}	
	global $post;
	if ($basedby == 'hot') {$popular_posts = new WP_Query('showposts='.$number.'&meta_key=post_hot_count&orderby=meta_value_num&order=DESC&ignore_sticky_posts=1');}
	elseif ($basedby == 'views') {$popular_posts = new WP_Query('showposts='.$number.'&meta_key=rehub_views&orderby=meta_value_num&order=DESC&ignore_sticky_posts=1');}
	else {$popular_posts = new WP_Query('showposts='.$number.'&orderby=comment_count&order=DESC&ignore_sticky_posts=1');}	
	if($popular_posts->have_posts()): ?>
	
	
		<?php  while ($popular_posts->have_posts()) : $popular_posts->the_post(); ?>
			<div class="clearfix">
	            <figure><a href="<?php the_permalink();?>"><?php WPSM_image_resizer::show_static_resized_image(array('thumb'=> true, 'crop'=> false, 'width'=> 100, 'no_thumb_url' => get_template_directory_uri() . '/images/default/noimage_123_90.png'));?></a></figure>
	            <div class="detail">
		            <h5 class="mt0"><?php if ($basedby == 'hot' && rehub_option('hotmeter_disable') !='1') {echo getHotLikeTitle(get_the_ID());} ;?><a href="<?php the_permalink();?>"><?php the_title();?></a></h5>
	            	<div class="post-meta">
	              		<?php $category = get_the_category($post->ID); $first_cat = $category[0]->term_id;?>
	                	<?php if ($basedby == 'views') {meta_small( false, $first_cat, false, true );} else {meta_small( false, $first_cat, true, false );}  ?>
	                </div>
					<?php
						$quick_price = get_post_meta( get_the_ID(), 'rehub_offer_product_price', true ); 
						$egg_price = get_post_meta( get_the_ID(), 'affegg_product_price', true );
						if (!empty ($quick_price)) {
							echo '<span class="price_count">'.$quick_price.'</span>';
						}
						elseif (!empty ($egg_price)) {
							$re_egg_currency = get_post_meta( get_the_ID(), 'affegg_product_currency', true );
					        $types = array("RUB" => "руб.", "UAH" => "грн.", "USD" => "$", "CAD" => "$", "GBP" => "&pound;", "EUR" => "&euro;", "JPY" => "&yen;", "CNY" => "&yen;", "INR" => "&#8377;");
					        if (key_exists($re_egg_currency, $types)) {
					            $re_egg_currency = $types[$re_egg_currency];
					        }
							echo '<span class="price_count">'.$re_egg_currency.$egg_price.'</span>';
						}	
					?>
	            </div>
            </div>
		
		<?php endwhile; ?>
		<?php wp_reset_query(); ?>
		<?php endif; 
		remove_filter('posts_where', 'filter_where_month'); 
		remove_filter('posts_where', 'filter_where_t_month'); 
		remove_filter('posts_where', 'filter_where_week');?>


<?php
}
}