<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php $def_p_types = REHub_Framework::get_option('rehub_ptype_formeta');?>
<?php $def_p_types = (!empty($def_p_types[0])) ? (array)$def_p_types : array('post', 'blog')?>
<?php

return array(
	'id'          => 'rehub_post_side',
	'types'       => $def_p_types,
	'title'       => __('Post settings', 'rehubchild'),
	'priority'    => 'low',
	'mode'        => WPALCHEMY_MODE_EXTRACT,
	'context'     => 'side',
	'template'    => array(

		array(
			'type' => 'textbox',
			'name' => 'read_more_custom',
			'label' => __('Read More custom text', 'rehubchild'),
			'description' => __('Will be used in some blocks instead of default read more text', 'rehubchild'),
			'default' => '',
		),	

		array(
			'type' => 'textbox',
			'name' => 'amazon_search_words',
			'label' => __('Search on amazon keyword', 'rehubchild'),
			'description' => __('Will be used in top offer block', 'rehubchild'),
			'default' => '',
		),	

		array(
			'type' => 'textbox',
			'name' => 'ebay_search_words',
			'label' => __('Search on ebay keyword', 'rehubchild'),
			'description' => __('Will be used in top offer block', 'rehubchild'),
			'default' => '',
		),	

		array(
			'type' => 'toggle',
			'name' => 'aff_link_image',
			'label' => __('Make link from image to affiliate post instead link to post', 'rehubchild'),
			'default' => '0',
		),				

		array(
			'type' => 'toggle',
			'name' => 'disable_top_offer',
			'label' => __('Disable top offer block', 'rehubchild'),
			'default' => '0',
		),					
		array(
			'type' => 'select',
			'name' => '_post_layout',
			'label' => __('Post layout', 'rehubchild'),
			'default' => 'normal_post',
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value'  => 'rehub_get_post_layout_array',
					),
				),
			),		
		),	
		array(
			'type' => 'radiobutton',
			'name' => 'post_size',
			'label' => __('Post w/ sidebar or Full width', 'rehubchild'),
			'description' => __('Note, normal post width - 788px, full width - 1130px', 'rehubchild'),
			'items' => array(
				array(
					'value' => 'normal_post',
					'label' => __('Post w/ Sidebar', 'rehubchild'),
				),
				array(
					'value' => 'full_post',
					'label' => __('Full Width Post', 'rehubchild'),
				)
			),
	        'default' => array(
	            'normal_post',
	        ),			
		),

		rehub_custom_badge_admin(),

		array(
			'type' => 'toggle',
			'name' => 'show_featured_image',
			'label' => __('Disable Featured Image, Video or Gallery in top part on post page', 'rehubchild'),
			'default' => '0',
		),	
		array(
			'type' => 'textbox',
			'name' => 'rehub_branded_banner_image_single',
			'label' => __('Branded area', 'rehubchild'),
			'description' => __('Set any custom code or link to image for branded banner after header ', 'rehubchild'),
			'default' => '',
		),		
		array(
			'type' => 'toggle',
			'name' => 'disable_parts',
			'label' => __('Disable parts?', 'rehubchild'),
			'description' => __('Check this box if you want to disable tags, breadcrumbs, author box, share buttons in post', 'rehubchild'),
		), 						
		array(
			'type' => 'toggle',
			'name' => 'show_banner_ads',
			'label' => __('Disable global ads in this post', 'rehubchild'),
			'description' => '',
			'default' => '0',		
		),		
	),
);

/**
 * EOF
 */